#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n;
    cin>>n;
    vector<int> a;
    vector<int> l;
    for(int i=0;i<n;i++)
    {
        int x;
        cin>>x;
        a.push_back(x);
    }
    int q;
    cin>>q;
    int br=0;
    l.push_back(0);
    for(int i=1;i<n;i++)
    {
        if(a[i]<a[i-1])
            br++;
        l.push_back(br);
    }

    for(int i=0;i<q;i++)
    {
        int le,r;
        cin>>le>>r;
        if(l[r-1]-l[le-1]<2)
            cout<<"DA\n";
        else
            cout<<"NE\n";
    }
    return 0;
}